Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232070 - Review Request: hawknl - Game oriented network library
Summary: Review Request: hawknl - Game oriented network library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 232071
TreeView+ depends on / blocked
 
Reported: 2007-03-13 20:03 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 12:00:18 UTC
gauret: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-03-13 20:03:04 UTC
Spec URL: http://people.atrpms.net/~hdegoede/hawknl.spec
SRPM URL: http://people.atrpms.net/~hdegoede/hawknl-1.68-1.fc7.src.rpm
Description:
HawkNL is a free, open source, game oriented network API released under the 
GNU LGPL. HawkNL (NL) is a fairly low level API, a wrapper over Berkeley/Unix
Sockets and Winsock. But NL also provides other features.

Comment 1 Aurelien Bompard 2007-03-15 06:50:53 UTC
Review for release 1.fc6:
* RPM name is OK
* Source HawkNL168src.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File lists look OK
* Works fine
(32 checks have been run)

Details:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
You can add that before or after importing.




Comment 2 Hans de Goede 2007-03-15 07:55:55 UTC
(In reply to comment #1)
> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)

Good catch, I'll add that before importing.

New Package CVS Request
=======================
Package Name:      hawknl
Short Description: Game oriented network library
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel 
InitialCC:         <empty>



Comment 3 Jens Petersen 2007-03-15 08:10:41 UTC
done

Comment 4 Hans de Goede 2007-03-15 12:00:18 UTC
Thanks for the review!

Imported and build, closing.



Note You need to log in before you can comment on or make changes to this bug.